Index: code/trunk/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9988)
+++ code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9989)
@@ -235,5 +235,5 @@
 
  <DistanceTrigger name="flying4" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=13/>
-    <SimpleNotification message="Housten: Our Commander got kidnapped">
+    <SimpleNotification message="Housten: Our Commander was kidnapped">
         <events>
             <trigger>
@@ -293,5 +293,5 @@
 
    <LocalQuest id="Level_Kaan.docking">
-      <QuestDescription title="Docking" description="Our Commander got kidnapped in Area 51. Fly to the Main Station and get a better Spaceship to rescue him.
+      <QuestDescription title="Docking" description="Our Commander was kidnapped in Area 51. Fly to the Main Station and get a better Spaceship to rescue him.
 
     Flying moves:
@@ -307,5 +307,5 @@
 
    <LocalQuest id="Level_Kaan.portals">
-      <QuestDescription title="Portals" description="Now you've got a Spaceship that is suited for your Mission.
+      <QuestDescription title="Portals" description="Now you received a spaceship that is suited for your mission.
 It is faster, has more health and is equipped with stronger weapons.
 Your next goal is to pass through the portal and find there the wormhole to Area 51" failmessage="" completeMessage="" />
@@ -497,5 +497,17 @@
       <attached>
          <DistanceTriggerBeacon name="bcnDestroyer" />
-         <Billboard position="0,0,0" material="Portals/Default" />
+         <Billboard position="0,0,0" material="Portals/Default" >
+           <events>
+             <visibility>
+               <EventTrigger invert=true>
+                 <events>
+                   <trigger>
+                     <EventListener event="portaldelaytrigger" />
+                   </trigger>
+                 </events>
+               </EventTrigger>
+             </visibility>
+           </events>
+         </Billboard>
          <DistanceTrigger name="endOfLevel" position="0,0,0" target="SpaceShip" beaconMode="exclude"
                           targetname="bcnDestroyer" distance=50 stayActive="true" delay=0/>
@@ -518,5 +530,5 @@
          colour      = "1.0, 0.2, 0.2, 0.8"
          align       = "center"                  
-         counter     = "110.0"
+         counter     = "100.0"
          speedfactor = "1.0"
          active      = "false"
@@ -528,5 +540,5 @@
         </events>
       </CountDown>
-      <!--OverlayText
+      <OverlayText
        position  = "0.05, 0.02"
        pickpoint = "0.0, 0.0"
@@ -536,16 +548,16 @@
        align     = "left"
        caption   = "Wormhole closing in:"
-       active    = "false"
+       visible    = "false"
       >
         <events>
-          <activity>
+          <visibility>
             <EventListener event="portal4" />
-          </activity>
-        </events>
-      </OverlayText-->
+          </visibility>
+        </events>
+      </OverlayText>
     </OverlayGroup>
 
 
-  <DistanceTrigger name="portaldelaytrigger" position="0,94000,0" target="Pawn" distance=500 stayActive="true" delay=116 />
+  <DistanceTrigger name="portaldelaytrigger" position="0,94000,0" target="Pawn" distance=500 stayActive="true" delay=106 />
    <Script code="Mission endMission false" onLoad="false" times="1" >
         <events>
@@ -603,5 +615,5 @@
 
    <DistanceTrigger name="portal8" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=21/>
-   <SimpleNotification message="Houston: Fly though the black hole, if you can.">
+   <SimpleNotification message="Houston: Boost your way through the asteroids.">
       <events>
          <trigger>
@@ -628,5 +640,5 @@
          </trigger>
       </events>
-   </SimpleNotification>
+   </SimpleNotification-->
 
    <DistanceTrigger name="portal11" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=33/>
@@ -634,11 +646,11 @@
       <events>
          <trigger>
-            <EventListener event="portal11" />
-         </trigger>
-      </events>
-   </SimpleNotification>
-
-
-    <SimpleNotification message="End of game">
+            <EventListener event="Houston: Fly though the black hole, if you can." />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+
+    <!--SimpleNotification message="End of game">
         <events>
             <trigger>
